Bug 524186 - Liferea does not handle "localhost" as a proxy server
Summary: Liferea does not handle "localhost" as a proxy server
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: liferea
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 09:39 UTC by Paolo Campegiani
Modified: 2010-12-05 06:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:22:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 626862 None None None Never

Description Paolo Campegiani 2009-09-18 09:39:25 UTC
Description of problem:

I have a local proxy to reach out to Internet. Firefox is configured to use "localhost" as proxy and it works; also "ping localhost" ping the local machine.
Neverthless, if I set "localhost" as the proxy for Liferea, all feeds are dead and I have a proxy authorization error message: switching to 127.0.0.1 and all works fine. 


Version-Release number of selected component (if applicable):

liferea-1.6.0-0.4.rc7.fc11.i586

How reproducible:

Always

Steps to Reproduce:

1. Configure a local proxy (cntlm would suffice)
2. Configure (Tools|Preferences|Proxy) localhost as proxy
3. Update all feeds
  
Actual results:

All feeds dead showing a red sign.

Expected results:

Using localhost as proxy.

Additional info:

Using 127.0.0.1 as proxy works.

Comment 1 Steven M. Parrish 2009-09-26 23:04:45 UTC
do you have localhost defined in your /etc/resolv.conf  ?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Paolo Campegiani 2009-09-27 08:18:00 UTC
I guess you mean /etc/hosts, which contains:

127.0.0.1 localhost localhost.localdomain etc...

Also, Firefox understands "localhost" as a proxy, and "ping" works with it as a target.

Comment 3 Fedora Update System 2009-10-11 18:34:46 UTC
liferea-1.6.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/liferea-1.6.0-1.fc11

Comment 4 Fedora Update System 2009-11-04 12:23:11 UTC
liferea-1.6.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Bug Zapper 2009-11-16 12:36:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Matt Domsch 2010-08-24 15:16:55 UTC
As mentioned above, there is a package review for cntlm now.
https://bugzilla.redhat.com/show_bug.cgi?id=626862

Comment 7 Bug Zapper 2010-11-04 09:56:42 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-05 06:22:11 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.